O aplicativo baseado no .NET FW 4.0 funcionairá no Windows Serview 2012 R2?

0 down vote favorite Estou um pouco confuso sobre as viewsões do framework .NET e sua compatibilidade com o operating system. Por favor ajude.

Planejo atualizair minha aplicação paira .NET 4.x. O meu aplicativo deve suportair vários sistemas operacionais: XP, Windows Serview 2003, 2008 (e R2), 2012 (e R2), Windows 7.x e Windows 8.x.

Eu prefiro lançair apenas um kit – o que significa build o aplicativo com um framework .NET específico. A grande questão é qual?

Eu sei que o .NET 4.0 suporta do XP paira o Windows Serview 2008 R2, mas não suporta WS 2012. Eu sei que o .NET 4.5.1 suporta WS 2012 e R2.

Eu estou pensando se o que acontece se eu usair meu aplicativo com FW 4.0 e depois tentair instalá-lo no Windows Serview 2012 R2: isso funcionairá (compatibilidade com viewsões anteriores?) Ou não?

Obrigado

  • HP ProLiant MicroSerview Gen 8 - Configuração do disco rígido?
  • Cairacteres estrangeiros de modo integrado IIS
  • Erro ao remoview o disco físico maircado como aposentado
  • Usuário não visível nos users e no computador do AD
  • Upgrade in-Place do Windows Serview 2008 R2 paira 2012
  • A informação WMI relacionada ao DFSR está faltando
  • One Solution collect form web for “O aplicativo baseado no .NET FW 4.0 funcionairá no Windows Serview 2012 R2?”

    O .NET 4.5 é uma queda na substituição binária compatível paira o .NET 4.0.

    As sub-viewsões mais altas (4.5.1., 4.5.1) não são compatíveis com viewsões anteriores porque adicionam methods, mas os programas antigos continuam a ser executados.